adfile.c File Reference
`#include "config.h"`
`#include "adapter/adapi.h"`
`#include "adapter/adapter.h"`
`#include "adapter/adfile.h"`
`#include "adapter/adutil.h"`
`#include "duration.h"`
`#include "file.h"`
`#include "log.h"`
`#include "status.h"`
`#include "util.h"`
`#include "signer/zone.h"`
`#include <ldns/ldns.h>`
`#include <stdio.h>`
`#include <stdlib.h>`

Go to the source code of this file.

## Functions

ods_status | adfile_read (void *zone)
ods_status | adfile_write (void *zone, const char *filename)

## Function Documentation

## adfile_read()

ods_status adfile_read | ( | void * | zone | ) |

Read zone from zonefile.

Definition at line 298 of file adfile.c.

References adapi_trans_full(), zone_struct::adinbound, and adapter_struct::configstr.

Referenced by adapter_read().

## adfile_write()

ods_status adfile_write | ( | void * | zone,
|  | const char * | filename )

Write zonefile.

Definition at line 326 of file adfile.c.

References adapi_printzone(), zone_struct::adoutbound, adapter_struct::error, and zone_struct::name.

Referenced by adapter_write().